<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2019</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ASE19">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>.</span>
    <span class="publication-title">TestCov: Robust Test-Suite Execution and Coverage Measurement.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 34th IEEE/ACM International Conference on Automated Software Engineering (ASE 2019, San Diego, CA, USA, November 11-15)</em>,
      <span class="pages">pages 1074-1077</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">IEEE.</span>
    <a class="doi" href="https://doi.org/10.1109/ASE.2019.00105" data-doi="10.1109/ASE.2019.00105" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ASE.2019.00105</a>
  </span>
  <a class="bibentry-link" href="#ASE19"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/DFG-COOP.html">DFG-COOP</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ASE.2019.00105" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2019-ASE.TestCov_Robust_Test-Suite_Execution_and_Coverage_Measurement.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2019-11-12_ASE19_TestCov_Thomas_Lemberger.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ASE19,
        author = {Dirk Beyer and Thomas Lemberger},
        title = {{T}est{C}ov: Robust Test-Suite Execution and Coverage Measurement},
        booktitle = {Proceedings of the 34th IEEE/ACM International Conference on Automated Software Engineering (ASE 2019, San Diego, CA, USA, November 11-15)},
        pages = {1074-1077},
        year = {2019},
        publisher = {IEEE},
        doi = {10.1109/ASE.2019.00105},
        sha256 = {},
        pdf = {https://www.sosy-lab.org/research/pub/2019-ASE.TestCov_Robust_Test-Suite_Execution_and_Coverage_Measurement.pdf},
        presentation = {https://www.sosy-lab.org/research/prs/2019-11-12_ASE19_TestCov_Thomas_Lemberger.pdf},
        keyword = {DFG-COOP,Software Testing},
        isbnnote = {978-1-7281-2508-4},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ATVA19">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>.</span>
    <span class="publication-title">Conditional Testing - Off-the-Shelf Combination of Test-Case Generators.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">Yu-Fang</span> <span class="lastname">Chen</span></span>,
      <span class="editor"><span class="firstname">Chih-Hong</span> <span class="lastname">Cheng</span></span>, and
      <span class="editor"><span class="firstname">Javier</span> <span class="lastname">Esparza</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 17th International Symposium on
        Automated Technology for Verification and Analysis (ATVA 2019, Taipei, Taiwan, October 28-31)</em>,
      <span class="series">LNCS 11781</span>,
      <span class="pages">pages 189-208</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-31784-3_11" data-doi="10.1007/978-3-030-31784-3_11" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-31784-3_11</a>
  </span>
  <a class="bibentry-link" href="#ATVA19"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/DFG-COOP.html">DFG-COOP</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-31784-3_11" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2019-ATVA.Conditional_Testing_Off-the-Shelf_Combination_of_Test-Case_Generators.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2019-10-29_ATVA19_Conditional_Testing_Thomas_Lemberger.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/conditional-testing/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ATVA19,
        author = {Dirk Beyer and Thomas Lemberger},
        title = {Conditional Testing - Off-the-Shelf Combination of Test-Case Generators},
        booktitle = {Proceedings of the 17th International Symposium on Automated Technology for Verification and Analysis (ATVA~2019, Taipei, Taiwan, October 28-31)},
        editor = {Yu{-}Fang Chen and Chih{-}Hong Cheng and Javier Esparza},
        pages = {189-208},
        year = {2019},
        series = {LNCS~11781},
        publisher = {Springer},
        doi = {10.1007/978-3-030-31784-3_11},
        sha256 = {},
        url = {https://www.sosy-lab.org/research/conditional-testing/},
        pdf = {https://www.sosy-lab.org/research/pub/2019-ATVA.Conditional_Testing_Off-the-Shelf_Combination_of_Test-Case_Generators.pdf},
        presentation = {https://www.sosy-lab.org/research/prs/2019-10-29_ATVA19_Conditional_Testing_Thomas_Lemberger.pdf},
        keyword = {DFG-COOP,Software Testing},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="MSR19">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">A Data Set of Program Invariants and Error Paths.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 2019 IEEE/ACM 16th International Conference on
        Mining Software Repositories (MSR 2019, Montreal, Canada, May 26-27)</em>,
      <span class="pages">pages 111-115</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">IEEE.</span>
    <a class="doi" href="https://doi.org/10.1109/MSR.2019.00026" data-doi="10.1109/MSR.2019.00026" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/MSR.2019.00026</a>
  </span>
  <a class="bibentry-link" href="#MSR19"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/MSR.2019.00026" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2019-MSR.A_Data_Set_of_Program_Invariants_and_Error_Paths.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://doi.org/10.5281/zenodo.2559175"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{MSR19,
        author = {Dirk Beyer},
        title = {A Data Set of Program Invariants and Error Paths},
        booktitle = {Proceedings of the 2019 IEEE/ACM 16th International Conference on Mining Software Repositories (MSR~2019, Montreal, Canada, May 26-27)},
        pages = {111-115},
        year = {2019},
        publisher = {IEEE},
        doi = {10.1109/MSR.2019.00026},
        sha256 = {},
        url = {https://doi.org/10.5281/zenodo.2559175},
        pdf = {https://www.sosy-lab.org/research/pub/2019-MSR.A_Data_Set_of_Program_Invariants_and_Error_Paths.pdf},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS19c">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">International Competition on Software Testing (Test-Comp).</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 25th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2019, Prague, Czech Republic, April 6-11), part 3</em>,
      <span class="series">LNCS 11429</span>,
      <span class="pages">pages 167-175</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-17502-3_11" data-doi="10.1007/978-3-030-17502-3_11" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-17502-3_11</a>
  </span>
  <a class="bibentry-link" href="#TACAS19c"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP.html">Competition on Software Testing (Test-Comp)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP-REPORT.html">Competition on Software Testing (Test-Comp Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-17502-3_11" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-17502-3_11.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://test-comp.sosy-lab.org/2019/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS19c,
        author = {Dirk Beyer},
        title = {International Competition on Software Testing (Test-Comp)},
        booktitle = {Proceedings of the 25th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2019, Prague, Czech Republic, April 6-11), part 3},
        pages = {167-175},
        year = {2019},
        series = {LNCS~11429},
        publisher = {Springer},
        doi = {10.1007/978-3-030-17502-3_11},
        sha256 = {80ba1d656e40b44c40e756010ccd32db5aad71820cd746b264f70244477fc737},
        url = {https://test-comp.sosy-lab.org/2019/},
        keyword = {Competition on Software Testing (Test-Comp),Competition on Software Testing (Test-Comp Report),Software Testing},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS19b">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Automatic Verification of C and Java Programs: SV-COMP 2019.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 25th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2019, Prague, Czech Republic, April 6-11), part 3</em>,
      <span class="series">LNCS 11429</span>,
      <span class="pages">pages 133-155</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-17502-3_9" data-doi="10.1007/978-3-030-17502-3_9" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-17502-3_9</a>
  </span>
  <a class="bibentry-link" href="#TACAS19b"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-17502-3_9" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-17502-3_9.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2019/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS19b,
        author = {Dirk Beyer},
        title = {Automatic Verification of {C} and Java Programs: {SV-COMP} 2019},
        booktitle = {Proceedings of the 25th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2019, Prague, Czech Republic, April 6-11), part 3},
        pages = {133-155},
        year = {2019},
        series = {LNCS~11429},
        publisher = {Springer},
        doi = {10.1007/978-3-030-17502-3_9},
        sha256 = {3ded73753689c5a68001ad42c27c2a0071f0d13546ffb8c4780891a16d9cabc7},
        url = {https://sv-comp.sosy-lab.org/2019/},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS19a">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">E.</span> <span class="lastname">Bartocci</span></span>,
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">D.</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">P. E.</span> <span class="lastname">Black</span></span>,
    <span class="author"><span class="firstname">G.</span> <span class="lastname">Fedyukovich</span></span>,
    <span class="author"><span class="firstname">H.</span> <span class="lastname">Garavel</span></span>,
    <span class="author"><span class="firstname">A.</span> <span class="lastname">Hartmanns</span></span>,
    <span class="author"><span class="firstname">M.</span> <span class="lastname">Huisman</span></span>,
    <span class="author"><span class="firstname">F.</span> <span class="lastname">Kordon</span></span>,
    <span class="author"><span class="firstname">J.</span> <span class="lastname">Nagele</span></span>,
    <span class="author"><span class="firstname">M.</span> <span class="lastname">Sighireanu</span></span>,
    <span class="author"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>,
    <span class="author"><span class="firstname">M.</span> <span class="lastname">Suda</span></span>,
    <span class="author"><span class="firstname">G.</span> <span class="lastname">Sutcliffe</span></span>,
    <span class="author"><span class="firstname">T.</span> <span class="lastname">Weber</span></span>, and
    <span class="author"><span class="firstname">A.</span> <span class="lastname">Yamada</span></span>.</span>
    <span class="publication-title">TOOLympics 2019: An Overview of Competitions in Formal Methods.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 25th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2019, Prague, Czech Republic, April 6-11), part 3</em>,
      <span class="series">LNCS 11429</span>,
      <span class="pages">pages 3-24</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-17502-3_1" data-doi="10.1007/978-3-030-17502-3_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-17502-3_1</a>
  </span>
  <a class="bibentry-link" href="#TACAS19a"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-17502-3_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-17502-3_1.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://tacas.info/toolympics.php"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS19a,
        author = {E.~Bartocci and D.~Beyer and P.~E.~Black and G.~Fedyukovich and H.~Garavel and A.~Hartmanns and M.~Huisman and F.~Kordon and J.~Nagele and M.~Sighireanu and B.~Steffen and M.~Suda and G.~Sutcliffe and T.~Weber and A.~Yamada},
        title = {{TOOLympics} 2019: An Overview of Competitions in Formal Methods},
        booktitle = {Proceedings of the 25th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2019, Prague, Czech Republic, April 6-11), part 3},
        pages = {3-24},
        year = {2019},
        series = {LNCS~11429},
        publisher = {Springer},
        doi = {10.1007/978-3-030-17502-3_1},
        sha256 = {1659009075a34066ea759286b122c9d96c6f21f6a23479fff2b8847c88482a71},
        url = {https://tacas.info/toolympics.php},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE19">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/JAKOBS-M.html"><span class="firstname">Marie-Christine</span> <span class="lastname">Jakobs</span></a></span>.</span>
    <span class="publication-title">CoVeriTest: Cooperative Verifier-Based Testing.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 22nd International Conference on
        Fundamental Approaches to Software Engineering (FASE 2019, Prague, Czech Republic, April 6-11)</em>,
      <span class="series">LNCS 11424</span>,
      <span class="pages">pages 389-408</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-16722-6_23" data-doi="10.1007/978-3-030-16722-6_23" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-16722-6_23</a>
  </span>
  <a class="bibentry-link" href="#FASE19"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-16722-6_23" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-16722-6_23.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/coop-testgen/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE19,
        author = {Dirk Beyer and Marie-Christine Jakobs},
        title = {CoVeriTest: Cooperative Verifier-Based Testing},
        booktitle = {Proceedings of the 22nd International Conference on Fundamental Approaches to Software Engineering (FASE~2019, Prague, Czech Republic, April 6-11)},
        pages = {389-408},
        year = {2019},
        series = {LNCS~11424},
        publisher = {Springer},
        doi = {10.1007/978-3-030-16722-6_23},
        sha256 = {ee64749fba4796ed79cecfaa500731ef2ac5d5e795770c44b1e7ad358f955398},
        url = {https://www.sosy-lab.org/research/coop-testgen/},
        keyword = {CPAchecker,Software Model Checking,Software Testing},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SE19">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/JAKOBS-M.html"><span class="firstname">Marie-Christine</span> <span class="lastname">Jakobs</span></a></span>,
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>, and
    <span class="author"><span class="firstname">Heike</span> <span class="lastname">Wehrheim</span></span>.</span>
    <span class="publication-title">Combining Verifiers in Conditional Model Checking via Reducers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">S.</span> <span class="lastname">Becker</span></span>,
      <span class="editor"><span class="firstname">I.</span> <span class="lastname">Bogicevic</span></span>,
      <span class="editor"><span class="firstname">G.</span> <span class="lastname">Herzwurm</span></span>, and
      <span class="editor"><span class="firstname">S.</span> <span class="lastname">Wagner</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the Conference on
        Software Engineering and Software Management (SE/SWM 2019, Stuttgart, Germany, February 18-22)</em>,
      <span class="series">LNI P-292</span>,
      <span class="pages">pages 151-152</span>,
      <span class="publication-date">  <span class="year">2019</span></span>.
    </span>
    <span class="publisher">GI.</span>
    <a class="doi" href="https://doi.org/10.18420/se2019-46" data-doi="10.18420/se2019-46" title="The digital object identifier permanently identifies a digital article or document.">doi:10.18420/se2019-46</a>
  </span>
  <a class="bibentry-link" href="#SE19"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.18420/se2019-46" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2019-SE.Combining_Verifiers_in_Conditional_Model_Checking_via_Reducers.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2019-02-22_SE19_CombiningVerifiersInConditionalModelChecking_Marie.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Software verification received lots of attention in the past two decades.
        Nonetheless, it remains an extremely difficult problem.
        Some verification tasks cannot be solved automatically by any of today’s verifiers.
        To still verify such tasks, one can combine the strengths of different verifiers.
        A promising approach to create combinations is conditional model checking (CMC).
        In CMC, the first verifier outputs a condition that describes
        the parts of the program state space that it successfully verified,
        and the next verifier uses that condition to steer its exploration towards
        the unverified state space.
        Despite the benefits of CMC, only few verifiers can handle conditions.
        To overcome this problem, we propose an automatic plug-and-play extension
        for verifiers. Instead of modifying verifiers, we suggest to add a preprocessor:
        the reducer.
        The reducer takes the condition and the original program and computes
        a residual program that encodes the unverified state space in program code.
        We developed one such reducer and use it to integrate existing verifiers
        and test-case generators into the CMC process.
        Our experiments show that we can solve many additional verification tasks
        with this reducer-based construction.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SE19,
        author = {Dirk Beyer and Marie-Christine Jakobs and Thomas Lemberger and Heike Wehrheim},
        title = {Combining Verifiers in Conditional Model Checking via Reducers},
        booktitle = {Proceedings of the Conference on Software Engineering and Software Management (SE/SWM~2019, Stuttgart, Germany, February 18-22)},
        editor = {S.~Becker and I.~Bogicevic and G.~Herzwurm and S.~Wagner},
        pages = {151--152},
        year = {2019},
        series = {{LNI}~P-292},
        publisher = {{GI}},
        doi = {10.18420/se2019-46},
        sha256 = {},
        pdf = {https://www.sosy-lab.org/research/pub/2019-SE.Combining_Verifiers_in_Conditional_Model_Checking_via_Reducers.pdf},
        presentation = {https://www.sosy-lab.org/research/prs/2019-02-22_SE19_CombiningVerifiersInConditionalModelChecking_Marie.pdf},
        abstract = {Software verification received lots of attention in the past two decades. Nonetheless, it remains an extremely difficult problem. Some verification tasks cannot be solved automatically by any of today’s verifiers. To still verify such tasks, one can combine the strengths of different verifiers. A promising approach to create combinations is conditional model checking (CMC). In CMC, the first verifier outputs a condition that describes the parts of the program state space that it successfully verified, and the next verifier uses that condition to steer its exploration towards the unverified state space. Despite the benefits of CMC, only few verifiers can handle conditions. To overcome this problem, we propose an automatic plug-and-play extension for verifiers. Instead of modifying verifiers, we suggest to add a preprocessor: the reducer. The reducer takes the condition and the original program and computes a residual program that encodes the unverified state space in program code. We developed one such reducer and use it to integrate existing verifiers and test-case generators into the CMC process. Our experiments show that we can solve many additional verification tasks with this reducer-based construction.},
        keyword = {CPAchecker,Software Model Checking},
        annote = {This is a summary of a &lt;a href=&quot;https://www.sosy-lab.org/research/bib/Year/2018.html#ICSE18&quot;&gt;full article on this topic&lt;/a&gt; that appeared in Proc. ICSE 2018.},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        This is a summary of a <a href="https://www.sosy-lab.org/research/bib/Year/2018.html#ICSE18">full article on this topic</a> that appeared in Proc. ICSE 2018.
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>